TAAS - Feature #247

Air Deal Report
07/09/2023 04:12 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 09/26/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Deal Report

Description

Coding Deal Report

History

#1 - 07/09/2023 04:22 PM - Anil KV

- Assignee set to travvise Admin

#2 - 09/07/2023 12:37 PM - Anil KV

Solutions:-

1) GUI Changes

—Currency - Not need base2 item and Add all currency

—-Status - Tick only ISSUED and SOLD

2) SQL

SELECT spd.pk_supp_doc_no_id,
spd.sin_supp_doc_category,
spd.vhr_supp_doc_no,
spd.sin_sys_current_status,
spd.dat_issue,

COALESCE (spd.vhr_pax_name, pxp.vhr_pax_name,

spd.sin_no_of_pax,
tkg.vhr_deal_no,
tkt.sin_record_type, —-*2
tkt.vhr_sector,
tkt.vhr_class_chr,
tkt.sin_class,
tkt.txt_remarks,
sfr.vhr_currency,
sfr.dbl_fare,
sfr.dbl_tax,
sfr.dbl_commission,
sfr.dbl_actual_cost,
sfr.dbl_supplier_amount,
sfr.dbl_customer_price,
sfr.dbl_normal_profit

FROM airticket.tbl_ticket tkt

LEFT JOIN service.tbl_supp_doc_no spd

'') AS vhr_pax_name,

ON tkt.fk_supp_doc_no_id = spd.pk_supp_doc_no_id
LEFT JOIN airticket.tbl_ticket_gen_data tkg
ON spd.pk_supp_doc_no_id = tkg.fk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare sfr

ON tkt.fk_ticket_cus_ledg_fare_id = sfr.pk_supp_doc_fare_id --*1

LEFT JOIN pax.tbl_pax_profile pxp

ON spd.fk_pax_profile_id = pxp.pk_pax_profile_id
——LEFT JOIN airticket.tbl_airline_master air

--ON air.pk_airline_master_id =
WHERE tkt.int_sys_action_id != -1
——AND spd.sin_sys_current_status IN

(1,2)

—-—AND spd.dat_issue BETWEEN '2023-08-08"'

05/03/2025

AND

tkg.fk_airline_master_id

'2023-08-08"
#3 - 09/07/2023 01:51 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#4 - 09/21/2023 10:01 AM - Junaid M

- Assignee changed from travvise Admin to Abhiram Venu

#5 - 09/26/2023 07:18 PM - Abhiram Venu
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#6 - 09/26/2023 07:19 PM - Abhiram Venu
- Start date changed from 07/09/2023 to 09/26/2023

#7 - 10/10/2023 10:44 AM - Abhiram Venu
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

Deal Report Done
Ready For Checking

#8 - 10/11/2023 06:05 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.FREEZE FILTERS WHILE LOADING DATA

2.BOOKING STAFF ISSUING STAFF WISE FILTER NOT WORKING
3.ERROR WHILE CLEAR DATE AND SEARCH

4.ERROR WHILE ADD DEAL CODE AND SEARCH

5.CHANGE PRINT HEADING TO (DEAL REPORT LIST)
6.CORRECT GRID,PRINT LABEL AIR TO AIRLINE

7.1SSUE IN CHANGING STATUS WISE SEARCH

8.ERASE & SEARCH (SECTOR/CLASS ) TOOL BAR NOT WORKING
9.REMOVE EDIT OPTION FROM PRINT

10.MISSING STATUS WHILE CHOOSING NEW

#9 - 10/11/2023 06:06 PM - unnikannan S

unnikannan S wrote in #note-8:

ISSUE FOUNDED

1.FREEZE FILTERS WHILE LOADING DATA

2.BOOKING STAFF ISSUING STAFF WISE FILTER NOT WORKING
3.ERROR WHILE CLEAR DATE AND SEARCH

4.ERROR WHILE ADD DEAL CODE AND SEARCH

5.CHANGE PRINT HEADING TO (DEAL REPORT LIST)
6.CORRECT GRID,PRINT LABEL AIR TO AIRLINE

7.1SSUE IN CHANGING STATUS WISE SEARCH

8.ERASE & SEARCH (SECTOR/CLASS ) TOOL BAR NOT WORKING
9.REMOVE EDIT OPTION FROM PRINT

10.MISSING STATUS WHILE CHOOSING NEW

11.ADD SPACE BETWEEN HEADING IN PAGE

12.CORRECT THE ISSUE DATE FORMAT TO DD/MM/YYYY

#10 - 11/02/2023 05:26 PM - Abhiram Venu

Reported issues 1,3,5,6,11 solved.

#11 - 11/10/2023 10:25 AM - Junaid M

05/03/2025
- Assignee changed from Abhiram Venu to Shahil Haris

#12 - 11/27/2023 04:39 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 11/27/2023 06:14 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#14 - 11/27/2023 06:19 PM - unnikannan S

ISSUE FOUNDED

1.DUPLICATION OF VOUCHERS IN LIST

2.SHOW CANCEL/REFUNDABLE AMOUNT AS NEGATIVE IN LIST

3.SHOW BOOKING STAFF/ISSUING STAFF WISE FILTER SEARCH
4.NO DATA WHILE SEARCH WITH DEAL NO

#15 - 11/29/2023 10:17 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 01/08/2024 12:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING ERROR {} WHILE SEARCH FIXED

2.SHOW DATA AS PER ADDED CUSTOMER IN CUSTOMER FILTER FIELD fIXED
3.ADD NO DATA FOUND POP UP FIXED

4.CORRECT THE ALLIGMENT OF GRID

#17 - 01/08/2024 01:26 PM - Junaid M
- Assignee changed from Shahil Haris to Vivekp V

#18 - 01/24/2024 01:07 PM - Junaid M
GUI CHANGE

1. Add grouping in Grid. Deal code wise group

#19 - 01/25/2024 12:47 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.SHOWING ERROR {} WHILE SEARCH FIXED

2.SHOW DATA AS PER ADDED CUSTOMER IN CUSTOMER FILTER FIELD fIXED
3.ADD NO DATA FOUND POP UP FIXED

4.CORRECT THE ALLIGMENT OF GRID

GUI CHANGE DONE

1. Add grouping in Grid. Deal code wise group

#20 - 02/22/2024 02:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

05/03/2025
1.MISSING PAX PROFILE FROM LIST
2.NO DATA WHILE SEARCH WITH BOOKING,ISSUING STAFF FIELDS

#21 - 02/22/2024 02:49 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.MISSING PAX PROFILE FROM LIST FIXED
2.NO DATA WHILE SEARCH WITH BOOKING,ISSUING STAFF FIELDS is working correctly

#22 - 02/22/2024 05:18 PM - unnikannan S
TESTING DONE

#23 - 08/20/2024 11:00 AM - Anil KV
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

New Changes DONE

—> Rename 'Deal Report' to 'Air Deal Report' (GUI Heading and Menu)

—> Add 'Deal Code' (Applied Deal Code) and 'Deal Type' (Applied Deal Code Type) columns after ticket
—> 'Applicable Deal Code' Column value —> More than one case:-

-Deal Code:XXX, Tour Code:XXX, Corporate Code:XXX, Military Code:XXX

*If 'Deal Code' value not in the column then the record showing red(or pls discus with anil)

—> Add 'Deal Type' (Check set air deal module) filter - Multi-select

—> Check Column width

*** PLS DISCUS WITH JUNIDE - Deal realted tables changes and workflow

#24 - 08/23/2024 05:35 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#25 - 08/24/2024 02:30 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Add Expand/Collapse Tool On Grid

2.Change Grid Name To Air Deal Report
3.Fix The Error While Unticking All Deal Type ltems

#26 - 08/24/2024 03:33 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXES

1.Add Expand/Collapse Tool On Grid

2.Change Grid Name To Air Deal Report
3.Fix The Error While Unticking All Deal Type ltems

#27 - 09/28/2024 05:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Translation Mistakes In Grid

05/03/2025
#28 - 09/28/2024 06:33 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Translation Mistakes In Grid

#29 - 02/14/2025 11:56 AM - Arathy PS
- Subject changed from Deal Report to Air Deal Report

#30 - 02/14/2025 01:58 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#31 - 02/14/2025 02:50 PM - Arathy PS
- File clipboard-202502141449-r6dpx.png added
- Assignee changed from Vivekp V to Nawal Sidique

ISSUE FOUND - FIXED

1. Not showing applicable deal code for tickets with cancel status.

Air Deal Report 29 ]=- Menu~_a AN ]
Issue Date® | 12/02/2025 2/02/202¢ Branch® | granc ain - Currency” | Base1(QAR) h
Airline” | GB 832 ABX A Department  Account anageme - Status™
Supplier Customer DealType  Corporate Code
Issuing Staff ~ Deal Code~

ARA

YT a £ B B B

Issue Date Ticket Deal Code Deal Type Applicable Deal Code  Pax sector Class Status Fare Tax Commission Cost Price Profit
~  Deal Code:

14/02/2025 1017 Deal Code: DLO03 HARI ASD/AAA Premium Economy Class | Issued 300.00 000 000 300.00 300.00 000

Total 300.00 0.00 0.00 300.00 300.00 0.00
~  Deal Code: DLO03

14/02/2025 1016 DLO03 Deal Code Deal Code: DLO03 HARI ASD/AAA Premium Economy Class | Issued 300.00 000 000 300.00 300.00 0.00

14/02/2025 1019 DLO03 Deal Code huma OcH First Class Canceled 250.00 000 000 250.00 -230.00 20,00

Total 550,00 0.00 0.00 550.00 70.00 20.00

Total QAR 850.00 QAR 0.00 QAR 0.00 QAR 850.00 QAR 370.00 QAR 20.00

CHANGE - DONE

1. Remove booking (xo) from status filter.

#32 - 02/18/2025 06:37 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#33 - 02/21/2025 04:40 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1)Airline is loading when focus out from airline field

#34 - 02/21/2025 06:40 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 03/29/2025 03:19 PM - Arathy PS

- File clipboard-202503291515-xkebs.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Not showing deal code in the grouping. - FIXED

Jravvise Air Deal Report 2 =~ | vers - [N < | - )+~ ) ©

Issue Date® | 20/03/2025 29/03/2025 Branch® | Branch A a - Currency” | Basel(QAR) v
Airline* | Q5 519 40 Mile Air Department  Account - Status™
MILILSLL K
Issue Date Ticket Deal Code Deal Type Applicable Deal Code = Pax Sector Class Status Fare Tax Commission Cost Price Profit
[' Deal Code: ]
e 29/03/2025 1700%1 Deal Code: DCO01 DERJ ASD/AAA Issued 1100.00 0.00 0.00 1100.00 1200.00 100.00
29/03/2025 1200 Deal Code: DCO01 DERJ ASD/AAA Issued 1100.00 0.00 0.00 1100.00 1200.00 100.00
29/03/2025 1900%1 Deal Code: DCO01 DERJ ASD/AAA lssued 1100.00 0.00 0.00 1100.00 1200.00 100.00
Total 3,300.00 0.00 0.00 3,300.00 3,600.00 300.00
Total QAR 3300.00 QAR 0.00 QAR 0.00 QAR 3300.00 QAR 3600.00 QAR 300.00
]
rd
#36 - 04/04/2025 09:31 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
clipboard-202502141449-r6dpx.png 127 KB 02/14/2025 Arathy PS
clipboard-202503291515-xkebs.png 116 KB 03/29/2025 Arathy PS
